// FILENAME:    CTF_Four-Way.cs
//
// AUTHOR:      dun_Starscaper
//------------------------------------------------------------------------------
// Stealth Detection - Set to true & players with a "/" in front of their
// will be detected when they join or leave the server.
// Stealth Detection code by Sentinal [M.I.B.]

$stealthDetect = true;    //Set to false to turn off stealth detection

//------------------------------------------------------------------------------
$missionName = "CTF Four_Way";

$maxFlagCount  = 5;         // no of flags required by a team to end the game
$flagValue     = 5;         // points a player gets for capturing
$carrierValue  = 2;         // points a player gets for killing carrier
$killPoints    = 1;         // points a player gets for killing an enemy
$deathPoints   = 1;         // points a player loses for getting killed
$flagTime      = 240;       // number of seconds player has to capture te flag

exec("multiplayerStdLib.cs");
exec("CTFstdLib.cs");

function player::onAdd(%this)
{
   if(($stealthDetect == true)&&(strAlign(1, left, getname(%player))=="/"))
   {
        say(0,0,"<f4>"@getname(%player)@" joined the game","alarm2.wav");
        messagebox(%player,"This server is equipped with an anti-stealth detection system. The "
                        @"slash on your name has been detected. All players have been alerted "
                        @"to your presence.");
   }
   say(%this, 0, *IDMULT_CTF_WELCOME);
   messagebox(%this, "Four-Way CTF is currently being tested. If there is "
        @"nobody else here, please choose the red team. That will let me make"
        @" sure the red and yellow flag stuff is working.");
}

function player::onRemove(%player)
{
   if(($stealthDetect == true)&&(strAlign(1, left, getname(%player))=="/"))
   {
      say(0,0,"<f4>"@getname(%player)@" left the game","alarm2.wav");
   }
}

function setDefaultMissionOptions()
{
   $server::TeamPlay = true;
   $server::AllowDeathmatch = false;
   $server::AllowTeamPlay = true;	

   $server::AllowTeamRed = true;
   $server::AllowTeamBlue = true;
   $server::AllowTeamYellow = true;
   $server::AllowTeamPurple = true;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = false;
   $server::disableTeamPurple = false;
}

function onMissionLoad()
{
   logStandardMissionStart();
   cdAudioCycle("Cyberntx", "Cloudburst", "Terror"); 
}

function onMissionStart()
{
   initGlobalVars();
   temperateSounds();
}